Article ID: 1791, created on Apr 12, 2007, last review on Apr 16, 2012

  • Applies to:
  • Plesk for Linux/Unix


If you run the updater tool from the Plesk CP it returns the error:

     Warning: Error: Can't create directory //psa/.

However it works fine from the command line.


When you run updater tool from the Plesk CP, it gets 'root' privileges by means of 'wrapper' utility that has 'SUID' bit set. If updater gets the permission error, most probably it was not able to get 'root' privileges due to 'SUID' bit absence.


Make sure that $PRODUCT_ROOT_D/admin/sbin/wrapper binary has right permissions as listed below:

# ls -la /usr/local/psa/admin/sbin/wrapper ---s--x---  1 root psaadm 13632 Jun 13  2006 /usr/local/psa/admin/sbin/wrapper
  If not, you should correct it with the command:
# chmod 4110 /usr/local/psa/admin/sbin/wrapper

Also make sure that /usr/local/psa/admin/bin/autoinstaller is a symlink to /usr/local/psa/admin/sbin/wrapper :

# ls -la /usr/local/psa/admin/bin/autoinstaller
lrwxr-xr-x  1 root  psaadm  15 Jul 16 14:59 /usr/local/psa/admin/bin/autoinstaller -> ../sbin/wrapper

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF